select [Name],
		description,
		company,
		product_version,
		file_version
from sys.dm_os_loaded_modules
order by [Name]

-----------------
-- allgemeine Systeminformationen
-----------------
select *
from sys.dm_os_sys_info

------------------------------
-- Performance Counter
------------------------------
SELECT *
from sys.dm_os_performance_counters

------------------------------
-- Performance Counter
------------------------------
select    @@servername as Server,
		  Getdate() as TimeStamp,
		  [object_name], 
		  counter_name, instance_name, cntr_value
from sys.dm_os_performance_counters
where counter_name in
(
'Buffer cache hit ratio',
'User Connections',
'Transactions',
'Average Wait Time (ms)',
'Transactions/sec',
'Errors/sec',
'Target Server Memory (KB)',
'Total Server Memory (KB)'
)
AND cntr_value <> 0


------------------------------
-- How many either cores or logical CPU share the same socket?
------------------------------
select hyperthread_ratio as cores_or_logical_cpus_per_socket
from sys.dm_os_sys_info

