----
--- Tempdb Gre ermitteln
---
Select
    SUM (user_object_reserved_page_count) * 8 as user_objects_kb,
    SUM (internal_object_reserved_page_count) * 8 as internal_objects_kb,
    SUM (version_store_reserved_page_count) * 8  as version_store_kb,
    SUM (unallocated_extent_page_count) * 8 as freespace_kb
From sys.dm_db_file_space_usage
Where database_id = 2 
--(Database_id 2 ist immer TempDB, bei anderen DB geht das noch nicht)

-- aktueller Platzverbrauch in der TempDB
-- wer braucht welchen Platz
SELECT	U.session_id, 
		(U.user_objects_alloc_page_count * 8) AS UserObjectsAllocSpaceInKB,
		R.start_time,
		R.status,
		R.command,
		R.cpu_time,
		R.reads,
		R.writes,
		R.logical_reads,
		T.[text]
FROM sys.dm_db_task_space_usage AS U
	INNER JOIN sys.dm_exec_requests AS R ON
		U.session_id = R.session_ID
	CROSS APPLY sys.dm_exec_sql_text(R.sql_handle) AS T 
WHERE U.session_id > 50 AND U.database_id = 2

